Множественные уязвимости в FireStats

Дата публикации:
16.07.2010
Дата изменения:
16.07.2010
Всего просмотров:
1147
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:N/A:N/E:P/RL:U/RC:C) = Base:5/Temporal:4.5
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:P/RL:U/RC:C) = Base:5/Temporal:4.5
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
FireStats 1.x (плагин к WordPress)
Уязвимые версии: FireStats 1.6.5, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточного ограничения доступа к сценарию firestats/php/page-tools.php. Удаленный пользователь может получить информацию об используемых версиях MySQL и PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "site_id" в сценарии firestats/php/window-new-edit-site.php и в параметре "edit" в сценариях firestats/php/window-add-excluded-ip.php и firestats/php/window-add-excluded-url.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: firestats.cc

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://h.ackack.net/more-0day-wordpress-security-leaks-in-firestats.html

или введите имя

CAPTCHA